[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.Controls

Provides indexed access to the child controls for the class instance.

## Declaration

Source position: controls.pp line 2331

`public property TWinControl.Controls[Index: Integer] : TControl read GetControl;`

## Description

Controls is a read-only indexed TControl property which provides access to child controls by their ordinal position in the list.

The Index argument contains the ordinal position for the requested child control, and must be in the range 0..ControlCount-1. The index also indicates the display or tab order for the child controls. The physical order for the controls in the list my be changed when the FixupTabList method is called during LCL component streaming.

## See also

TWinControl.ControlCount |  | The number of child controls in the Controls property.